Skip to main content
GET
/
v1
/
webhooks
List webhooks
curl --request GET \
  --url https://api.messages.dev/v1/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "line_ids": [
        "<string>"
      ],
      "url": "<string>",
      "events": [
        "<string>"
      ],
      "secret": "<string>",
      "is_active": true
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Use an API key as a bearer token: Authorization: Bearer sk_live_...

Query Parameters

from
string
required

Line handle (phone number or Apple ID)

Example:

"+15551234567"

Response

List of webhooks

data
object[]
has_more
boolean

Whether more items exist beyond this page

next_cursor
string | null

Cursor to pass as cursor query parameter for the next page

request_id
string